## org.exist.validation.test
Class ValidationServiceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.validation.test.ValidationServiceTest

All Implemented Interfaces:
  junit.framework.Test

public class ValidationServiceTest
extends junit.framework.TestCase

jUnit test for testing the Validation Service.

Author:
  dizzzz

Constructor Summary
`ValidationServiceTest(java.lang.String testName)`

Method Summary
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testDtdInvalidDocument()`
`void` `testDtdValidDocument()`
`void` `testGetName()`
`void` `testGetVersion()`
`void` `testNoDoctype()`
`void` `testNonexistingDocument()`
`void` `testWrongDoctype()`
`void` `testXsdInvalidDocument()`
`void` `testXsdValidDocument()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationServiceTest

    public ValidationServiceTest(java.lang.String testName)

Method Detail

### suite

    public static junit.framework.Test suite()

### setUp

    public void setUp()

### testGetName

    public void testGetName()

### testGetVersion

    public void testGetVersion()

### testXsdValidDocument

    public void testXsdValidDocument()

### testXsdInvalidDocument

    public void testXsdInvalidDocument()

### testNonexistingDocument

    public void testNonexistingDocument()

### testDtdValidDocument

    public void testDtdValidDocument()

### testDtdInvalidDocument

    public void testDtdInvalidDocument()

### testNoDoctype

    public void testNoDoctype()

### testWrongDoctype

    public void testWrongDoctype()

Copyright (C) Wolfgang Meier. All rights reserved.